## org.apache.batik.css.engine
Class CSSEngine.StyleDeclarationUpdateHandler

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.DocumentAdapter
          org.apache.batik.css.engine.CSSEngine.StyleDeclarationUpdateHandler

All Implemented Interfaces:
  DocumentHandler, ShorthandManager.PropertyHandler

Enclosing class:
  CSSEngine

protected class CSSEngine.StyleDeclarationUpdateHandler
extends CSSEngine.DocumentAdapter
implements ShorthandManager.PropertyHandler

To parse a style declaration and update a StyleMap.

Field Summary
`StyleMap` `styleMap`
`boolean[]` `updatedProperties`

Constructor Summary
`protected` `CSSEngine.StyleDeclarationUpdateHandler()`

Method Summary
`void` `property(java.lang.String name, LexicalUnit value, boolean important)` SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

Methods inherited from class org.apache.batik.css.engine.CSSEngine.DocumentAdapter
`comment, endDocument, endFontFace, endMedia, endPage, endSelector, ignorableAtRule, importStyle, namespaceDeclaration, startDocument, startFontFace, startMedia, startPage, startSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleMap

    public StyleMap styleMap

### updatedProperties

    public boolean[] updatedProperties

Constructor Detail

### CSSEngine.StyleDeclarationUpdateHandler

    protected CSSEngine.StyleDeclarationUpdateHandler()

Method Detail

### property

    public void property(java.lang.String name,
                         LexicalUnit value,
                         boolean important)
                  throws CSSException

  SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

  Specified by:
    `property` in interface `ShorthandManager.PropertyHandler`
  Overrides:
    `property` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.